Create custom model data
Upload: Dataset for custom language model
In order to upload a transcript file an PUT request has to be made with the binary data used as
the request body.
Divergent Content-Type header
Set the content type to an text/plain type.
URL: PUT https://api.scriptix.io/api/v3/custom_models/{model_id}/data/
Request headers
The following headers need to be present
| Parameter | Value | Description |
|---|---|---|
| x-zoom-s2t-key | Scriptix Batch API Token | API key of type real-time needed for authorization, this has to be the same as used for session initialization. |
| x-filename | filename.dat | Use this header to set the filename of the uploaded file for easy reference in the API portal |
Request query arguments
| Argument | Description |
|---|---|
| data_type | Type of the dataset (1=transcript or 2=test) |
Responses
| Status code | Description | Payload |
|---|---|---|
| 200 | New custom language model dataset uploaded | |
| 400 | Invalid language | |
| 401 | Unauthorized | |
| 402 | Payment required, a subscription is missing | |
| 415 | Content Invalid | |
| 422 | Body Invalid | |
| 500 | Server Error |